EventBuffer::enableLocking
EventBuffer::freeze
EventBuffer
PHP Manual

# EventBuffer::expand

(PECL event >= 1.2.6-beta)

EventBuffer::expand — Reserves space in buffer

### Description

public bool EventBuffer::expand ( int `$len` )

Alters the last chunk of memory in the buffer, or adds a new chunk, such that the buffer is now large enough to contain `len` bytes without any further allocations.

### Parameters

`len`

  The number of bytes to reserve for the buffer

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

EventBuffer::enableLocking
EventBuffer::freeze
EventBuffer
PHP Manual